﻿using System.Configuration;

namespace ASPNETTipsAndTricks.Code
{
    public class DemoSettings : ConfigurationSection, IDemoSettings
    {
        private static DemoSettings settings = ConfigurationManager.GetSection("DemoSettings") as DemoSettings;

        public static DemoSettings Settings
        {
            get
            {
                
                return settings;
            }
        }

        [ConfigurationProperty("sessionAttendees"
          , DefaultValue = 200
          , IsRequired = false)]
        [IntegerValidator(MinValue = 1
          , MaxValue = 10000)]
        public int SessionAttendees
        {
            get { return (int)this["sessionAttendees"]; }
            set { this["sessionAttendees"] = value; }
        }


        [ConfigurationProperty("title"
          , IsRequired = true)]
        [StringValidator(InvalidCharacters = "~!@#$%^&*()[]{}/;’\"|\\")]
        public string Title
        {
            get { return (string)this["title"]; }
            set { this["title"] = value; }

        }
    }
}
