﻿using System.Configuration;

namespace ASPNETTipsAndTricks.Code
{
    public interface IDemoSettings
    {
        /// <summary>
        /// Should indicate how many people are in the session
        /// </summary>
        [ConfigurationProperty("sessionAttendees", DefaultValue = 200, IsRequired = false)]
        [IntegerValidator(MinValue = 1, MaxValue = 10000)]
        int SessionAttendees { get; set; }

        /// <summary>
        /// The name of the presentation
        /// </summary>
        [ConfigurationProperty("title", IsRequired = true)]
        [StringValidator(InvalidCharacters = "~!@#$%^&*()[]{}/;’\"|\\")]
        string Title { get; set; }
    }
}